use yew::prelude::*;

use crate::components::{LatestPosts, ScratchPad};

#[function_component]
pub fn Home() -> Html {
    gloo::utils::document().set_title("jigglypuff.club");

    html! {
        <>
        <div class="tile is-ancestor is-vertical">
            <h1>{"welcome to jigglypuff.club"}</h1>
        </div>
        <div class="home-body">
            <div class="home-column">
                <LatestPosts />
            </div>
            <div class="home-column">
                <h2>{"\"guest\" \"book\""}</h2>
                <ScratchPad />
            </div>
        </div>
        </>
    }
}
